

// Name
//===================================
//
// PlayerMovement
//

#ifndef PLAYER_MOVEMENT_H
#define PLAYER_MOVEMENT_H


// FORWARD DECLARATIONS
//===================================

    class Block;
    class Input;
    class Sprite;


// DEPENDENCIES
//===================================

    #include "sprite_movement.h"
    #include "timers/timer_simple.h"


// CLASS
//===================================

    class PlayerMovement : public SpriteMovement
    {
        public:
            ~PlayerMovement();
            void update( Sprite& sprite, Input& input, Camera& camera, Map& lvmap, SpriteGraphics* graphics, Game& game, EventSystem& events );
            void interact( Collision& collision, Sprite& sprite, Sprite& other );
    };


#endif // PLAYER_MOVEMENT_H
